problems with 0.0.4 and gcc-3.2/3.3

Pavel Roskin proski at gnu.org
Sun Aug 3 23:43:21 EDT 2003


On Sun, 3 Aug 2003, Jouni Malinen wrote:

> > 3.3 shows the attached errors when compiling.
> > when the module loads, the kernel panics and the system becomes unstable.
>
> gcc 3.3 is quite new and it might have issues compiling Linux kernel.

Just for the record, I'm running Linux 2.6.0-test2 compiled by "3.3.1
20030626 (Debian prerelease)" from Debian testing.  I'm not aware of any
compiler related problems.  I can also compile CVS HostAP without
warnings, and of course it's working for me.

gcc 3.3 may be new and may have problems with 2.4 kernels, but it appears
that HostAP per se is doing just fine with gcc 3.3.

-- 
Regards,
Pavel Roskin



More information about the HostAP mailing list